Bug 81384 - FILEOPEN: Cells are missing importing RTF file with btLr text direction on cell (\cltxbtlr)
Summary: FILEOPEN: Cells are missing importing RTF file with btLr text direction on ce...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.4.2 release
Hardware: All All
: high major
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:4.4.0 target:4.3.1 target:4.2.7
Keywords: bibisected, filter:rtf, regression
Depends on:
Blocks: RTF mab4.2
  Show dependency treegraph
 
Reported: 2014-07-15 13:17 UTC by Gergely Rácz
Modified: 2018-01-10 08:02 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
missing cells importing RTF (62.00 KB, application/zip)
2014-07-15 13:17 UTC, Gergely Rácz
Details
screenshots MS Word Viewer vs. LibO 4.2.3 vs LibO 4.2.5 (77.54 KB, image/png)
2014-07-16 04:21 UTC, tommy27
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gergely Rácz 2014-07-15 13:17:18 UTC
Created attachment 102855 [details]
missing cells importing RTF

Issue:

Importing RTF files into Writer few cells are missing with its content.

I have attached a sample file with screenshots from LibO and MSO as well.

I have tested on 4.2.5.2. and 4.3.0. RC2 and I have the same result.
Comment 1 tommy27 2014-07-16 04:21:40 UTC
Created attachment 102885 [details]
screenshots MS Word Viewer vs. LibO 4.2.3 vs LibO 4.2.5

I confirm missing cell bug in LibO 4.2.5.2 and 4.2.4.2

interestingly there's no missing cell in 4.2.3.3 however the text of those cells is not rendered correctly. see screenshot.

hence regression in 4.2.4 of a still imperfect RTF rendering of 4.2.3
Comment 2 Joel Madero 2014-07-16 05:11:19 UTC
Two bibisects provide - seems like it went from bad to worse. The first bibisect only one cell appears missing (the number 1 next to "Felso") the second demonstrates the missing headers as well.


c7510097bb94f2e426e03f2f83da2f508287ca0c is the first bad commit
commit c7510097bb94f2e426e03f2f83da2f508287ca0c
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Sun May 11 11:02:49 2014 +0000

    source-hash-87f52352614aed918501e8a7df8e8a61499efc5b
    
    commit 87f52352614aed918501e8a7df8e8a61499efc5b
    Author:     Herbert Dürr <hdu@apache.org>
    AuthorDate: Mon Feb 10 09:36:08 2014 +0000
    Commit:     Caolán McNamara <caolanm@redhat.com>
    CommitDate: Mon Feb 10 11:57:56 2014 +0000
    
        Resolves: #i124201# rename apple_remote's MainController...
    
        to AppleRemoteController
    
        having a MainController class in the global namespace of an application with
        gazillions of MVC patterns is not a good idea. Renaming it to better match
        its scope (i.e. the Apple Remote) cleans this up.
    
        (cherry picked from commit 8ef3836059ca613d125f66e6bad21c83200dadad)
    
        Conflicts:
        	apple_remote/source/RemoteMainController.m
        	include/apple_remote/RemoteMainController.h
        	vcl/inc/osx/saldata.hxx
        	vcl/osx/saldata.cxx
        	vcl/osx/salinst.cxx
        	vcl/osx/vclnsapp.mm
    
        Change-Id: I1f252ac51ef65966a48ee03b2cd3519f98d57383

:100644 100644 ddd67e65234d52bb8b5de97778223856ce55b3a9 5e89f1d40aaf1e56cec997ff6fd9915eed280678 M	ccache.log
:100644 100644 53a025dd266e4221640c68401a0ae55bdf0a16b0 a19579a4d39008279d09432c59310465c8eed181 M	commitmsg
:100644 100644 49401aeb77ad4387692eed775dd7fb71bf3c3a73 40d3ce07b952a5ac141b4b6f61c6d28094e45b8d M	make.log
:040000 040000 81086e72ccbe313b371138dc656c94dda3eaa432 8612c9524dbc4414eaf7f56e040e42146abf66b4 M	opt

# bad: [423a84c4f7068853974887d98442bc2a2d0cc91b] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# good: [e02439a3d6297a1f5334fa558ddec5ef4212c574] source-hash-6b8393474974d2af7a2cb3c47b3d5c081b550bdb
git bisect good e02439a3d6297a1f5334fa558ddec5ef4212c574
# good: [4850941efe43ae800be5c76e1102ab80ac2c085d] source-hash-980a6e552502f02f12c15bfb1c9f8e6269499f4b
git bisect good 4850941efe43ae800be5c76e1102ab80ac2c085d
# bad: [a900e72b6357882284c5955bdf939bf14269f5fb] source-hash-dd1050b182260a26a1d0ba6d0ef3a6fecc3f4e07
git bisect bad a900e72b6357882284c5955bdf939bf14269f5fb
# bad: [e1d0365cd2b073a859f59ad0a4584385a66dc611] source-hash-2eea96c702a44ab009743b0d22ef639127f0b57b
git bisect bad e1d0365cd2b073a859f59ad0a4584385a66dc611
# good: [98a55bf95f3ec29298751fd8fba76dd2236dce43] source-hash-58dfc97ca697875c36b7ddf14f5505a93d7b9cf8
git bisect good 98a55bf95f3ec29298751fd8fba76dd2236dce43
# good: [1f32fb58159d7f43a4bcb838765261d5274cbf38] source-hash-4a169e4203c10ec8f76b9bcb33882c82b65c7bab
git bisect good 1f32fb58159d7f43a4bcb838765261d5274cbf38
# good: [e8547c17def5e45d1a9ff2cf5eb28b142b3daca0] source-hash-53ca207a700c9501e76c7770f6b1e3af89edd630
git bisect good e8547c17def5e45d1a9ff2cf5eb28b142b3daca0
# good: [62e28acf6d832fb1ad030889541aad3f626612ba] source-hash-12e0102f39ee3a0398a4369bbc4af4ea0f51ca14
git bisect good 62e28acf6d832fb1ad030889541aad3f626612ba
# bad: [c7510097bb94f2e426e03f2f83da2f508287ca0c] source-hash-87f52352614aed918501e8a7df8e8a61499efc5b
git bisect bad c7510097bb94f2e426e03f2f83da2f508287ca0c
# good: [273a2f4e453564a9aad29b4e4fb0d3c46938bb9e] source-hash-863f1bfca71a5eb084931b49393fb7a9c5a0deaf
git bisect good 273a2f4e453564a9aad29b4e4fb0d3c46938bb9e
# first bad commit: [c7510097bb94f2e426e03f2f83da2f508287ca0c] source-hash-87f52352614aed918501e8a7df8e8a61499efc5b


+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
4f705a8cfb1998b09f2062510b207d35a33647d8 is the first bad commit
commit 4f705a8cfb1998b09f2062510b207d35a33647d8
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Sun May 11 23:40:18 2014 +0000

    source-hash-1eeb20f3958666ec6ba6e0fcf52e92e5eb447a14
    
    commit 1eeb20f3958666ec6ba6e0fcf52e92e5eb447a14
    Author:     Caolán McNamara <caolanm@redhat.com>
    AuthorDate: Thu Mar 13 10:02:45 2014 +0000
    Commit:     Caolán McNamara <caolanm@redhat.com>
    CommitDate: Thu Mar 13 11:18:37 2014 +0000
    
        CurrencyFields cannot be loaded from .src anymore
    
        Change-Id: I3ccdb71e39a13dc8c697d3a52dc693cff10c614d

:100644 100644 3078ada13a25b2b8bae1ddedd574140b22d1642f 8a41019be9e83ba0196e63472a3c14c6d955676e M	ccache.log
:100644 100644 d065718ced273579364598860ff334898edbf32c 34684b5d91abdcd60faf448b46bced76321f7db4 M	commitmsg
:100644 100644 943bb71c0882cf30facb2b66357eedab91161df9 dcb4e78342586dd2ba5f942dbfff91a4ef3d0ada M	make.log
:040000 040000 60bd2db1ebab8e4df8427f65a146baa3b17b5dde e3fdc7b2ba10b52035840da1e6df0d8e28d5c819 M	opt


# bad: [423a84c4f7068853974887d98442bc2a2d0cc91b] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# good: [e02439a3d6297a1f5334fa558ddec5ef4212c574] source-hash-6b8393474974d2af7a2cb3c47b3d5c081b550bdb
git bisect good e02439a3d6297a1f5334fa558ddec5ef4212c574
# good: [4850941efe43ae800be5c76e1102ab80ac2c085d] source-hash-980a6e552502f02f12c15bfb1c9f8e6269499f4b
git bisect good 4850941efe43ae800be5c76e1102ab80ac2c085d
# good: [a900e72b6357882284c5955bdf939bf14269f5fb] source-hash-dd1050b182260a26a1d0ba6d0ef3a6fecc3f4e07
git bisect good a900e72b6357882284c5955bdf939bf14269f5fb
# skip: [e80660c5a1d812cd04586dae1f22767fc3778c4a] source-hash-07c60c8ee2d1465544a6a39e57bc06b3690b8dfb
git bisect skip e80660c5a1d812cd04586dae1f22767fc3778c4a
# bad: [df9bcaed2faa2a8d11b19f877cdff3a12a887278] source-hash-6ba9692d8bbe3e3c245aca9a7c928e81178d05f1
git bisect bad df9bcaed2faa2a8d11b19f877cdff3a12a887278
# bad: [9d57c189d74551d2b3770cc81139ea10a62e672f] source-hash-5b5e62650354788e50b44f32c22b687b2018aba9
git bisect bad 9d57c189d74551d2b3770cc81139ea10a62e672f
# bad: [ce81582766413e76a63c047bfd6227ab12fcd866] source-hash-3d1b1eea83703919c43620f9adef05e5b24c4bed
git bisect bad ce81582766413e76a63c047bfd6227ab12fcd866
# bad: [4e0843c411a14e3065f96f196eeb4d603664f97f] source-hash-51605bf98220d7e54dee20af17c33cebe23a0813
git bisect bad 4e0843c411a14e3065f96f196eeb4d603664f97f
# good: [6d436a9d8ec82d3192b51a63551bc4640634402d] source-hash-50d20866aa90150680e6d39998081fc148638c73
git bisect good 6d436a9d8ec82d3192b51a63551bc4640634402d
# bad: [4db78da3b1ecb37ce787197389fe8e061c831ad0] source-hash-077a74cfc6dbea5ee275fd11b65b523cc525e2e4
git bisect bad 4db78da3b1ecb37ce787197389fe8e061c831ad0
# bad: [4f705a8cfb1998b09f2062510b207d35a33647d8] source-hash-1eeb20f3958666ec6ba6e0fcf52e92e5eb447a14
git bisect bad 4f705a8cfb1998b09f2062510b207d35a33647d8
# first bad commit: [4f705a8cfb1998b09f2062510b207d35a33647d8] source-hash-1eeb20f3958666ec6ba6e0fcf52e92e5eb447a14
Comment 3 tommy27 2014-07-16 05:17:06 UTC
issue is still present in 4.4.0.0.alpha0+
Build ID: abc28ffc04067eb24840fbf564c311aaee10f84d
TinderBox: Win-x86@42, Branch:master, Time: 2014-07-15_07:20:05
Comment 4 Marina Latini (CIB) 2014-07-21 12:56:46 UTC
added filter:rtf in whiteboard and added to the meta bug 81234
Comment 5 Michael Stahl (CIB) 2014-07-28 20:47:38 UTC
regression from:

commit 970160f78ef6cc7abacfa252daa8451e1f0117bb
Author:     Miklos Vajna <vmiklos@collabora.co.uk>
AuthorDate: Wed Mar 12 15:13:47 2014 +0100

    bnc#865381 DOCX import: fix w:trHeight for cells with btLr text direction
    

... sure enough there are some \cltxbtlr in this bugdoc,
and while apparently the above commit happens to "un-hide"
a row in a different bugdoc, it happens to "hide" a row in
this one...

actually after reading the code to handle
NS_ooxml::LN_CT_TcPrBase_textDirection case 3 "btLR" i really
wonder if we wouldn't be better off just using a different
and supported text orientation, rather than piling hacks upon hacks...
Comment 6 Michael Stahl (CIB) 2014-07-29 20:37:26 UTC
hmm... reverting the FIX property added in this commit looks promising...

commit 0208ead70a9412ccd554fcef3e9308f8ca17037b
Author:     Miklos Vajna <vmiklos@suse.cz>
AuthorDate: Fri Feb 22 17:08:39 2013 +0100

    DOCX import: improve btLr table cell support


... ah whatever, i just added some horrible hack to make the row visible.
Comment 7 Commit Notification 2014-07-29 20:55:35 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5893a7536a0bbce57c4a2f89680dcb4cff3d06d7

fdo#81384: writerfilter: turn the horrible btLr cell text dir hack



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2014-07-30 08:36:18 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ce65a47f6028879337e9e133053cc397b1b582bd&h=libreoffice-4-3

fdo#81384: writerfilter: turn the horrible btLr cell text dir hack


It will be available in LibreOffice 4.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2014-07-30 08:47:11 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=546cd96371b5ae012e4f3bfe963ea299e1dcec54&h=libreoffice-4-2

fdo#81384: writerfilter: turn the horrible btLr cell text dir hack


It will be available in LibreOffice 4.2.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Robinson Tryon (qubit) 2015-12-17 05:53:50 UTC
Migrating Whiteboard tags to Keywords: (bibisected, filter:rtf)
[NinjaEdit]